@echo off
if "%1"=="%2" goto help
          

:install
 if not exist %1\duke3d.exe goto notfound
echo  DOOM Deathmatch Pack v2.3 will be installed in %1\DOOMDMP2
echo  Just press any key to continue.
pause > nul
  md %1\DOOMDMP2
   xcopy *.* %1\DOOMDMP2
goto end

:help
echo.
echo  Run      : INSTALL [HardDisk] [Duke Nukem 3D Directory]
echo  Example  : Your DN3D directory is d:\games\duke3d, so you enter
echo             install d:\games\duke3d
echo.
echo  A subdirectory called "DOOMDMP2" will then be created and all needed
echo  files will be copied to it.
echo.
goto end

:notfound
echo  Duke Nukem 3D couldn't be found in %1 !!
echo  Installation of DoomDMP v2.3 aborted !!


:end
